import { ElementRef, OnInit } from "@angular/core";
import { StiEditorProperty } from "../../../../services/objects";
import { StiModelService } from "../../../../services/model.service";
import { StiHelperService } from "../../../../services/sti-helper.service";
export declare class AutoCompleteEditorComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    autoComplete: ElementRef;
    property: StiEditorProperty;
    obj?: any;
    filteredCountries: any[];
    propertyGridLabelWidth: number;
    iconWidth: number;
    innerPaddings: number;
    constructor(model: StiModelService, helper: StiHelperService);
    get items(): any[];
    get maxWidth(): number;
    get value(): string;
    set value(val: string);
    removeItem(url: any, event: any): void;
    checkUpdates(event: any): void;
    updateStore(): void;
    filterCountry(event: any): void;
    ngOnInit(): void;
}
